
Application: gvSIG desktop - gvSIG bugs #1191
Installer should allow install the icon for all user or the current user
10/02/2012 08:57 AM - Cesar Ordiñana

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Installer
Target version: 2.3.0-2423 (rev. org.gvsig.desktop-2.0.129)
Severity: Major Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2053 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

By Jose Manuel Mora Fallas on this thread
http://osgeo-org.1560.n6.nabble.com/Recomendacion-para-futuros-instaladores-tc5004988.html

Related issues:
Related to | gvSIG desktop 1 - gvSIG bugs # 1190: Installer should allow inst... New 10/01/2012
Related to Application: gvSIG desktop - gvSIG bugs # 4090: En win-x64 el coma... Closed 02/04/2016

Associated revisions
Revision 42715 - 02/13/2016 09:33 AM - Joaquín  del Cerro Murciano

refs #1191, fix shortcut creation in win64

History
#1 - 10/02/2012 09:03 AM - Cesar Ordiñana

Copy of bug #1190 from the 1.12 version.

#2 - 01/13/2014 01:42 PM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano
- Priority changed from Normal to Low

#3 - 02/20/2014 06:55 PM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2

#4 - 04/04/2014 10:36 AM - Álvaro Anguix
- Assignee deleted (Joaquín  del Cerro Murciano)

#5 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#6 - 01/20/2016 02:12 PM - Álvaro Anguix
- Target version set to 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)
- Status changed from New to Closed
En el nuevo instalador está añadida esa opción

#7 - 01/20/2016 05:16 PM - Antonio Falciano
- Target version changed from 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Closed to New

The installer doesn't create a desktop link at least on win actually (build 2415). I've seen that this option was added only in an online installer.

#8 - 02/08/2016 12:48 PM - Joaquín  del Cerro Murciano
- Operative System set to Windows
- Severity set to Major
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)
- Priority changed from Low to Urgent
- Assignee set to Joaquín  del Cerro Murciano

#9 - 02/15/2016 07:37 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#10 - 02/15/2016 01:14 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#11 - 02/15/2016 03:22 PM - Antonio Falciano
- Target version changed from 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Closed to New

There's no desktop link (icon) in build 2422 yet.

#12 - 02/16/2016 08:57 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2423 (rev. org.gvsig.desktop-2.0.129)

#13 - 02/16/2016 08:59 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4090: En win-x64 el comando cygcheck no muestra ninguna salida. added

#14 - 02/16/2016 09:04 AM - Joaquín  del Cerro Murciano

Bueno, parece que ya tengo una idea de que ha estado pasando en los dos ultimos builds por lo que no aparecia corregido este bug y el #4090.

Si se usa la version online de la instalacion esta corregido, con la standard no. Asi que tiene que ver con el proceso de generar la standard a partir de
la online. Es posible que se este generando la standard de 64 bits a partir de la online de 32. Estas presentan algunas diferencias, concretamente en
la creacion de los iconos del escritorio y las versiones de los exe que se lleva detras (cygcheck por ejemplo).

Voy a repasar el proceso de generacion de las standard.

#15 - 02/16/2016 09:28 AM - Joaquín  del Cerro Murciano

Pues efectivamente se estaban generando las versiones "standard" de los instalables de 64 bits a partir de la version online de 32 bits.

04/28/2024 2/3



#16 - 02/16/2016 06:45 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#17 - 02/17/2016 10:03 AM - Antonio Falciano
- Status changed from Fixed to Closed

It works fine in build 2423, thanks!
